> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asksurf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Liquidation by Exchange



## OpenAPI

````yaml openapi.json GET /gateway/v1/market/liquidation/exchange-list
openapi: 3.1.0
info:
  title: Hermod
  version: 0.0.1
servers:
  - url: https://api.asksurf.ai
security: []
paths:
  /gateway/v1/market/liquidation/exchange-list:
    get:
      tags:
        - Market
      summary: Liquidation by Exchange
      description: |-
        Returns liquidation breakdown by exchange.

        **Included fields:** total, long, and short volumes in USD.

        **Filters:** `symbol` and `time_range` (`1h`, `4h`, `12h`, `24h`).
      operationId: market-liquidation-exchange-list
      parameters:
        - description: Token ticker symbol like `BTC` or `ETH`
          explode: false
          in: query
          name: symbol
          schema:
            default: BTC
            description: Token ticker symbol like `BTC` or `ETH`
            examples:
              - BTC
            type: string
        - description: Aggregation time range. Can be `1h`, `4h`, `12h`, or `24h`.
          explode: false
          in: query
          name: time_range
          schema:
            default: 24h
            description: Aggregation time range. Can be `1h`, `4h`, `12h`, or `24h`.
            enum:
              - 1h
              - 4h
              - 12h
              - 24h
            examples:
              - 24h
            type: string
        - description: Field to sort results by
          explode: false
          in: query
          name: sort_by
          schema:
            default: liquidation_usd
            description: Field to sort results by
            enum:
              - liquidation_usd
              - long_liquidation_usd
              - short_liquidation_usd
            examples:
              - liquidation_usd
            type: string
        - description: Sort order
          explode: false
          in: query
          name: order
          schema:
            default: desc
            description: Sort order
            enum:
              - asc
              - desc
            examples:
              - desc
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleListResponseLiquidationExchangeItem'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataAPIError'
          description: Error
      security:
        - AccessToken: []
components:
  schemas:
    SimpleListResponseLiquidationExchangeItem:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              https://example.com/schemas/SimpleListResponseLiquidationExchangeItem.json
          format: uri
          readOnly: true
          type: string
        data:
          items:
            $ref: '#/components/schemas/LiquidationExchangeItem'
          type:
            - array
            - 'null'
        meta:
          $ref: '#/components/schemas/ObjectResponseMeta'
      required:
        - data
        - meta
      type: object
    DataAPIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataAPIError.json
          format: uri
          readOnly: true
          type: string
        error:
          $ref: '#/components/schemas/DataAPIErrorDetail'
      required:
        - error
      type: object
    LiquidationExchangeItem:
      additionalProperties: false
      properties:
        exchange:
          description: >-
            Exchange name like `Binance` or `OKX`. `All` = aggregate across all
            exchanges
          type: string
        liquidation_usd:
          description: Total liquidation volume (USD)
          format: double
          type: number
        long_liquidation_usd:
          description: Long-side liquidation volume (USD)
          format: double
          type: number
        short_liquidation_usd:
          description: Short-side liquidation volume (USD)
          format: double
          type: number
      required:
        - exchange
        - liquidation_usd
        - long_liquidation_usd
        - short_liquidation_usd
      type: object
    ObjectResponseMeta:
      additionalProperties: false
      properties:
        cached:
          description: Whether this response was served from cache
          type: boolean
        credits_used:
          description: Credits deducted for this request
          format: int64
          type: integer
      required:
        - credits_used
        - cached
      type: object
    DataAPIErrorDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object

````